DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
IODSeriesAndInstanceReferenceMacro Class Reference

Class representing the Series and Instance Reference Macro. More...

Inheritance diagram for IODSeriesAndInstanceReferenceMacro:

## Public Member Functions
| IODSeriesAndInstanceReferenceMacro (OFshared_ptr< DcmItem > data, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODSeriesAndInstanceReferenceMacro (IODComponent *parent=NULL)
| Constructor. More...
virtual | ~IODSeriesAndInstanceReferenceMacro ()
| Virtual Destructor.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read Series and Instance Reference Macro from given item. More...
virtual OFCondition | write (DcmItem &destination)
| Write Series and Instance Reference Macro to given item. More...
virtual OFString | getName () const
| Get name of module ("SeriesAndInstanceReferenceMacro") More...
virtual void | resetRules ()
| Resets rules to their original values.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component. More...
OFVector< ReferencedSeriesItem * > & | getReferencedSeriesItems ()
| Return reference to list of Referenced Series items. More...
| ReferencedSeriesItem (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| ReferencedSeriesItem (IODComponent *parent=NULL)
| Constructor. More...
virtual | ~ReferencedSeriesItem ()
| Destructor.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read Referenced Series Sequence item data from given item. More...
virtual OFCondition | write (DcmItem &destination)
| Write this Referenced Series Sequence item data to given item. More...
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("SeriesAndInstanceReferenceMacro") More...
virtual OFCondition | getSeriesInstanceUID (OFString &value, const signed long pos=0) const
| Get Series Instance UID. More...
virtual OFCondition | setSeriesInstanceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Instance UID. More...
virtual OFVector< SOPInstanceReferenceMacro * > & | getReferencedInstanceItems ()
| Get content of the Referenced Instance Sequence. More...
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Private Attributes
OFVector< ReferencedSeriesItem * > | m_ReferencedSeriesItems
| Vector with all items of the Referenced Series Sequence.
OFVector< SOPInstanceReferenceMacro * > | m_ReferencedInstanceSequence
| Vector containing the data of all items of the Referenced Instance Sequence.

## Static Private Attributes
static const OFString | m_ComponentName
| Name of this component ("SeriesAndInstanceReferenceMacro") More...

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Series and Instance Reference Macro.

Class representing Items from the Referenced Series Sequence:

[Referenced Series Sequence: (SQ, VM 1-n, Type 1C)]

> Series Instance UID: (UI, 1, 1) Referenced Instance Sequence: (SQ, 1-n, 1)

> > SOP Instance Reference Macro

## Constructor & Destructor Documentation

## ◆ IODSeriesAndInstanceReferenceMacro() [1/2]

IODSeriesAndInstanceReferenceMacro::IODSeriesAndInstanceReferenceMacro | ( | OFshared_ptr< DcmItem > | data,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = `NULL`
| ) |  |

Constructor.

Parameters

  data | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

## ◆ IODSeriesAndInstanceReferenceMacro() [2/2]

IODSeriesAndInstanceReferenceMacro::IODSeriesAndInstanceReferenceMacro | ( | IODComponent * | parent = `NULL` | ) |

Constructor.

Parameters

  parent | The parent component of this class (if applicable, might be NULL)

## Member Function Documentation

## ◆ clearData() [1/2]

virtual void IODSeriesAndInstanceReferenceMacro::clearData | ( |  | ) |
| virtual

Clear (removes) all attributes handled by the modules of this component.

Rules are not reset.

Reimplemented from IODComponent.

## ◆ clearData() [2/2]

virtual void IODSeriesAndInstanceReferenceMacro::clearData | ( |  | ) |
| virtual

Clear (removes) all attributes handled by the modules of this component.

Rules are not reset.

Reimplemented from IODComponent.

## ◆ getName() [1/2]

virtual OFString IODSeriesAndInstanceReferenceMacro::getName | ( |  | ) | const
| virtual

Get name of module ("SeriesAndInstanceReferenceMacro")

Returns
  Name of the module ("SeriesAndInstanceReferenceMacro")

Implements IODComponent.

## ◆ getName() [2/2]

virtual OFString IODSeriesAndInstanceReferenceMacro::getName | ( |  | ) | const
| virtual

Get name of module ("SeriesAndInstanceReferenceMacro")

Returns
  Name of the module ("SeriesAndInstanceReferenceMacro")

Implements IODComponent.

## ◆ getReferencedInstanceItems()

virtual OFVector<SOPInstanceReferenceMacro*>& IODSeriesAndInstanceReferenceMacro::getReferencedInstanceItems | ( |  | ) |
| virtual

Get content of the Referenced Instance Sequence.

Returns
  Reference to the Referenced Instance Sequence content

## ◆ getReferencedSeriesItems()

OFVector<ReferencedSeriesItem*>& IODSeriesAndInstanceReferenceMacro::getReferencedSeriesItems | ( |  | ) |

Return reference to list of Referenced Series items.

Returns
  Reference to list of Reference Series Items

## ◆ getSeriesInstanceUID()

virtual OFCondition IODSeriesAndInstanceReferenceMacro::getSeriesInstanceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Series Instance UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read() [1/2]

virtual OFCondition IODSeriesAndInstanceReferenceMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read Series and Instance Reference Macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is deleted before reading (default)

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## ◆ read() [2/2]

virtual OFCondition IODSeriesAndInstanceReferenceMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read Referenced Series Sequence item data from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading

Returns
  EC_Normal if data could be read successfully, error otherwise

Reimplemented from IODComponent.

## ◆ ReferencedSeriesItem() [1/2]

IODSeriesAndInstanceReferenceMacro::ReferencedSeriesItem | ( | IODComponent * | parent = `NULL` | ) |

Constructor.

Parameters

  parent | The parent component of this class (if applicable, might be NULL)

## ◆ ReferencedSeriesItem() [2/2]

IODSeriesAndInstanceReferenceMacro::ReferencedSeriesItem | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = `NULL`
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

## ◆ setSeriesInstanceUID()

virtual OFCondition IODSeriesAndInstanceReferenceMacro::setSeriesInstanceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Series Instance UID.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR and VM if enabled

Returns
  status EC_Normal if successful, an error code otherwise

## ◆ write() [1/2]

virtual OFCondition IODSeriesAndInstanceReferenceMacro::write | ( | DcmItem & | destination | ) |
| virtual

Write Series and Instance Reference Macro to given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## ◆ write() [2/2]

virtual OFCondition IODSeriesAndInstanceReferenceMacro::write | ( | DcmItem & | destination | ) |
| virtual

Write this Referenced Series Sequence item data to given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## Member Data Documentation

## ◆ m_ComponentName

static const OFString IODSeriesAndInstanceReferenceMacro::m_ComponentName
| static private

Name of this component ("SeriesAndInstanceReferenceMacro")

The name of this component ("SeriesAndInstanceReferenceMacro")

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1